---
zh-HK:
  activerecord:
    attributes:
      doorkeeper/application:
        name: 名稱
        redirect_uri: 轉接 URI
        scopes: 權限範圍
        website: 應用網站
    errors:
      models:
        doorkeeper/application:
          attributes:
            redirect_uri:
              fragment_present: URI 不可包含 "#fragment" 部份。
              invalid_uri: 必需有正確的 URI。
              relative_uri: 必需為完整 URI。
              secured_uri: 必需使用有 HTTPS/SSL 加密的 URI。
  doorkeeper:
    applications:
      buttons:
        authorize: 認證
        cancel: 取消
        destroy: 移除
        edit: 編輯
        submit: 提交
      confirmations:
        destroy: 是否確定？
      edit:
        title: 編輯應用程式
      form:
        error: 噢！請檢查你表格的錯誤訊息
      help:
        native_redirect_uri: 使用 %{native_redirect_uri} 作局部測試
        redirect_uri: 每行輸入一個 URI
        scopes: 請用半形空格分開權限範圍 (scope)。留空表示使用預設的權限範圍。
      index:
        application: 應用
        callback_url: 回傳網址
        delete: 刪除
        name: 名稱
        new: 新增應用程式
        scopes: 權限範圍
        show: 顯示
        title: 你的應用程式
      new:
        title: 新增應用程式
      show:
        actions: 操作
        application_id: 應用程式 ID
        callback_urls: 回傳網址
        scopes: 權限範圍
        secret: 密碼
        title: 應用程式︰ %{name}
    authorizations:
      buttons:
        authorize: 批准
        deny: 拒絕
      error:
        title: 發生錯誤
      new:
        able_to: 要求獲取權限
        prompt: 應用程式 %{client_name} 要求得到你用戶的部份權限
        title: 需要用戶授權
      show:
        title: 請把這個授權碼複製到應用程式中。
    authorized_applications:
      buttons:
        revoke: 取消授權
      confirmations:
        revoke: 是否確定要取消授權？
      index:
        application: 應用程式
        created_at: 授權日期
        date_format: "%Y-%m-%d %H:%M:%S"
        scopes: 權限範圍
        title: 已獲你授權的程用程式
    errors:
      messages:
        access_denied: 資源擁有者或授權伺服器不接受請求。
        credential_flow_not_configured: 資源擁有者密碼認證程序 (Resource Owner Password Credentials flow) 失敗，原因是 Doorkeeper.configure.resource_owner_from_credentials 沒有設定。
        invalid_client: 用戶程式認證 (Client authentication) 失敗，原因是用戶程式未有登記、沒有指定用戶程式 (client)、或者使用了不支援的認證方法 (method)。
        invalid_grant: 授權申請 (authorization grant) 不正確、過期、已被取消，或者無法對應授權請求 (authorization request) 內的轉接 URI，或者屬於別的用戶程式。
        invalid_redirect_uri: 不正確的轉接網址。
        invalid_request: 請求缺少了必要的參數、包含了不支援的參數、或者其他輸入錯誤。
        invalid_resource_owner: 資源擁有者的登入資訊錯誤、或者無法找到該資源擁有者
        invalid_scope: 請求的權限範圍 (scope) 不正確、未有定義、或者輸入錯誤。
        invalid_token:
          expired: access token 已經過期
          revoked: access token 已被取消
          unknown: access token 不正確
        resource_owner_authenticator_not_configured: 無法找到資源擁有者，原因是 Doorkeeper.configure.resource_owner_authenticator 沒有設定。
        server_error: 認證伺服器遇上未知狀況，令請求無法通過。
        temporarily_unavailable: 認證伺服器由於臨時負荷過重或者維護，目前未能處理請求。
        unauthorized_client: 用戶程式無權用此方法 (method) 請行這個請求。
        unsupported_grant_type: 授權伺服器不支援這個授權類型 (grant type)。
        unsupported_response_type: 授權伺服器不支援這個回應類型 (response type)。
    flash:
      applications:
        create:
          notice: 已新增應用程式。
        destroy:
          notice: 已刪除應用程式。
        update:
          notice: 已更新應用程式。
      authorized_applications:
        destroy:
          notice: 已取消應用程式授權。
    layouts:
      admin:
        nav:
          applications: 應用程式
          oauth2_provider: OAuth2 供應者
      application:
        title: 需要 OAuth 授權
    scopes:
      follow: 關注、封鎖、解除封鎖及取消關注用戶
      push: 接收你的帳號的推送通知
      read: 閱讀你的用戶資料
      write: 以你的名義發佈文章
